## fasta3 36.3.8h.2020-02

=== make/Makefile ===
#
# makefile for fasta3, fasta3_t.  Use makefile.pvm for pvcompxx.
#
#
# Dec 8, 2005 - with gcc4.0.2 (or .1) under Redhat Linux Fedora FC4 -03 breaks the alignment code
#

CC= gcc -g -O2

#CC=gcc -Wall -pedantic -ansi -g -O
#CC = gcc -g -DDEBUG
#CC= /usr/local/parasoft/bin.linux2/insure -g -DDEBUG

# EBI uses the following with pgcc, -O3 does not work:
# CC= pgcc -O2 -pipe -mcpu=pentiumpro -march=pentiumpro -fomit-frame-pointer

# this file works for x86 LINUX

# standard options
CFLAGS= -DSHOWSIM -DUNIX -DTIMES -DHZ=100 -DSFCHAR="':'" -DMAX_WORKERS=2 -DTHR_EXIT=pthread_exit -DPROGRESS  -DUSE_MMAP -D_REENTRANT -DHAS_INTTYPES -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_FSEEKO -DSAMP_STATS -DPGM_DOC
# -I/usr/local/include/mysql -DMYSQL_DB 
#
#(for mySQL databases)  (also requires change to Makefile34.common)

LIB_M = -lm
#LIB_M = -L/usr/local/lib/mysql -lmysqlclient -lm
# for mySQL databases

HFLAGS= -o
NFLAGS= -o

# for Linux
THR_SUBS = pthr_subs2
THR_LIBS = -lpthread
THR_CC =

XDIR = /seqprg/bin

DROPGSW_NA_O = dropgsw2.o wm_align.o calcons_sw.o
DROPGSW_SSE_O = dropgsw2_sse.o smith_waterman_sse2.o wm_align.o calcons_sw.o
DROPGSW_ALT_O = dropgsw2_alt.o smith_waterman_altivec.o wm_align.o calcons_sw.o
DROPGSW_O = $(DROPGSW_SSE_O)

DROPLAL_NA_O = droplal2.o lsim4.o calcons_la.o
DROPLAL_SSE_O = droplal2_sse.o smith_waterman_sse2.o lsim4.o calcons_la.o
DROPLAL_ALT_O = droplal2_sse.o smith_waterman_altivec.o lsim4.o calcons_la.o
DROPLAL_O = $(DROPLAL_SSE_O)

# renamed (fasta36)  programs
include ../make/Makefile36m.common
# conventional (fasta3) names
# include ../make/Makefile.common

## fasta3 36.3.8g

=== debian/changelog ===
fasta3 (36.3.8g-1) unstable; urgency=low

  [ Andreas Tille ]
  * Moved packaging from SVN to Git

  [ Steffen Moeller]
  * Initial release (Closes: #895740)

  * New upstream version.
  * Fixed remaining lintian error.
  * Bumped policy to 4.1.4.

  [ Alexandre Mestiashvili]
  * Add zlib1g-dev to Build-Depends
  * Apply cme fix dpkg, fixing indentation, secure url and patch descriptions

 -- Steffen Moeller <moeller@debian.org>  Sun, 15 Apr 2018 16:08:39 +0200

=== debian/control ===
Source: fasta3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: non-free/science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/med-team/fasta3
Vcs-Git: https://salsa.debian.org/med-team/fasta3.git
Homepage: http://fasta.bioch.virginia.edu

Package: fasta3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for searching collections of biological sequences
 The FASTA programs find regions of local or global similarity between
 Protein or DNA sequences, either by searching Protein or DNA databases,
 or by identifying local duplications within a sequence. Other
 programs provide information on the statistical significance of an
 alignment. Like BLAST, FASTA can be used to infer functional and
 evolutionary relationships between sequences as well as help identify
 members of gene families.
 .
  * Protein
 .
  - Protein-protein FASTA
  - Protein-protein Smith-Waterman (ssearch)
  - Global Protein-protein (Needleman-Wunsch) (ggsearch)
  - Global/Local protein-protein (glsearch)
  - Protein-protein with unordered peptides (fasts)
  - Protein-protein with mixed peptide sequences (fastf)
 .
  * Nucleotide
 .
  - Nucleotide-Nucleotide (DNA/RNA fasta)
  - Ordered Nucleotides vs Nucleotide (fastm)
  - Un-ordered Nucleotides vs Nucleotide (fasts)
 .
  * Translated
 .
  - Translated DNA (with frameshifts, e.g. ESTs)
    vs Proteins (fastx/fasty)
  - Protein vs Translated DNA (with frameshifts)
    (tfastx/tfasty)
  - Peptides vs Translated DNA (tfasts)
 .
  * Statistical Significance
 .
  - Protein vs Protein shuffle (prss)
  - DNA vs DNA shuffle (prss)
  - Translated DNA vs Protein shuffle (prfx)
 .
  * Local Duplications
 .
  - Local Protein alignments (lalign)
  - Plot Protein alignment "dot-plot" (plalign)
  - Local DNA alignments (lalign)
  - Plot DNA alignment "dot-plot" (plalign)

Package: fasta3-doc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: user guide for FASTA tools
 The FASTA programs find regions of local or global similarity between
 Protein or DNA sequences, either by searching Protein or DNA databases,
 or by identifying local duplications within a sequence. Other
 programs provide information on the statistical significance of an
 alignment. Like BLAST, FASTA can be used to infer functional and
 evolutionary relationships between sequences as well as help identify
 members of gene families.
 .
 The use of the package's many binaries and the equally representated
 conceptual approaches towards sequence analyses are summarised in
 this PDF.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ARCH=`dpkg-architecture -qDEB_TARGET_GNU_CPU`

#MAKEFILE="../make/Makefile"
#
#ifeq (x86_64,$(ARCH))
MAKEFILE="../make/Makefile.linux64"
#endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS+=-flto
LDFLAGS+=-flto

# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ 

override_dh_auto_build:
	cd src && $(MAKE) -f $(MAKEFILE)

override_dh_auto_clean:
	if [ -d src ]; then cd src && $(MAKE) -f $(MAKEFILE) clean-up; fi

override_dh_compress:
	dh_compress --exclude=.pdf

## fasta3 36.3.8h

=== debian/changelog ===
fasta3 (36.3.8h-2) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: fasta3 (<< 36.3.8h)
    Closes: #948597
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix regexp in d/copyright
  * Package fasta3-doc in section non-free/doc

 -- Andreas Tille <tille@debian.org>  Sat, 11 Jan 2020 06:55:15 +0100

fasta3 (36.3.8h-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

    TODO: Do we really need to use non-free smith waterman code?
          There is a free libssw.  Please contact upstream!

  [ Steffen Moeller]
  * Standards-Version: 4.4.1
  * Fixed patches - somehow one Makefile.common was removed but needed
    that led to a FTBFS.

 -- Steffen Moeller <moeller@debian.org>  Mon, 06 Jan 2020 12:20:34 +0100

=== debian/control ===
Source: fasta3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: non-free/science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper-compat (= 12),
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/fasta3
Vcs-Git: https://salsa.debian.org/med-team/fasta3.git
Homepage: https://fasta.bioch.virginia.edu

Package: fasta3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for searching collections of biological sequences
 The FASTA programs find regions of local or global similarity between
 Protein or DNA sequences, either by searching Protein or DNA databases,
 or by identifying local duplications within a sequence. Other
 programs provide information on the statistical significance of an
 alignment. Like BLAST, FASTA can be used to infer functional and
 evolutionary relationships between sequences as well as help identify
 members of gene families.
 .
  * Protein
    - Protein-protein FASTA
    - Protein-protein Smith-Waterman (ssearch)
    - Global Protein-protein (Needleman-Wunsch) (ggsearch)
    - Global/Local protein-protein (glsearch)
    - Protein-protein with unordered peptides (fasts)
    - Protein-protein with mixed peptide sequences (fastf)
 .
  * Nucleotide
    - Nucleotide-Nucleotide (DNA/RNA fasta)
    - Ordered Nucleotides vs Nucleotide (fastm)
    - Un-ordered Nucleotides vs Nucleotide (fasts)
 .
  * Translated
    - Translated DNA (with frameshifts, e.g. ESTs)
      vs Proteins (fastx/fasty)
    - Protein vs Translated DNA (with frameshifts)
      (tfastx/tfasty)
    - Peptides vs Translated DNA (tfasts)
 .
  * Statistical Significance
    - Protein vs Protein shuffle (prss)
    - DNA vs DNA shuffle (prss)
    - Translated DNA vs Protein shuffle (prfx)
 .
  * Local Duplications
    - Local Protein alignments (lalign)
    - Plot Protein alignment "dot-plot" (plalign)
    - Local DNA alignments (lalign)
    - Plot DNA alignment "dot-plot" (plalign)
 .
 This software is often used via a web service at the
 EBI with readily indexed reference databases at
 http://www.ebi.ac.uk/Tools/fasta/.

Package: fasta3-doc
Architecture: all
Section: non-free/doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: fasta3 (<< 36.3.8h)
Replaces: fasta3 (<< 36.3.8h)
Description: user guide for FASTA tools
 The FASTA programs find regions of local or global similarity between
 Protein or DNA sequences, either by searching Protein or DNA databases,
 or by identifying local duplications within a sequence. Other
 programs provide information on the statistical significance of an
 alignment. Like BLAST, FASTA can be used to infer functional and
 evolutionary relationships between sequences as well as help identify
 members of gene families.
 .
 The use of the package's many binaries and the equally representated
 conceptual approaches towards sequence analyses are summarised in
 this PDF.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	cd src && $(MAKE) -f $(MAKEFILE)
@@ -32,4 +32,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
-

=== debian/watch ===
version=3
http://faculty.virginia.edu/wrpearson/fasta/fasta3/fasta-(3.*)\.tar\.gz

# This is also at Github but
#    https://github.com/wrpearson/fasta36/releases
# is lagging begind a bit

## fasta3 36.3.8h.2020-02-11

=== debian/changelog ===
fasta3 (36.3.8h.2020-02-11-3) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/upstream/metadata: added Repository{,-Browse}
  * Enable buildiing on non-X86 via SIMD Everywhere library
  * fasta3-doc: Multi-Arch: foreign
  * Enable cross building
  * Improve hardening
  * drop unneeded build-dep on zlib1g-dev
  * Add autopkgtests
  * Install scripts/ to usr/share/fasta3/

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 18 Apr 2020 11:46:22 +0200

fasta3 (36.3.8h.2020-02-11-2) unstable; urgency=medium

  * Drop outdated README.source

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 18:15:29 +0100

fasta3 (36.3.8h.2020-02-11-1) unstable; urgency=medium

  * Team upload
  * New upstream version with free license
    Licenses was changed from Academics-only to BSD-2-clause
  * Point watch file to Github
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2020 18:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,31 @@
 Source: fasta3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: non-free/science
-XS-Autobuild: no
+Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               zlib1g-dev
-Standards-Version: 4.4.1
+               libsimde-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/fasta3
 Vcs-Git: https://salsa.debian.org/med-team/fasta3.git
 Homepage: https://fasta.bioch.virginia.edu
+Rules-Requires-Root: no
 
 Package: fasta3
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Suggests: ${perl:Depends},
+          libdbi-perl,
+          libwww-perl,
+          libjson-perl,
+          libhtml-tableextract-perl,
+          libxml-twig-perl,
+          liburi-encode-perl,
+          libdbd-mysql-perl,
+          python3-mysqldb,
+          ncbi-blast+,
+          bedtools
 Description: tools for searching collections of biological sequences
  The FASTA programs find regions of local or global similarity between
  Protein or DNA sequences, either by searching Protein or DNA databases,
@@ -61,9 +72,9 @@
 
 Package: fasta3-doc
 Architecture: all
-Section: non-free/doc
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
 Breaks: fasta3 (<< 36.3.8h)
 Replaces: fasta3 (<< 36.3.8h)
 Description: user guide for FASTA tools

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ARCH=`dpkg-architecture -qDEB_TARGET_GNU_CPU`

#MAKEFILE="../make/Makefile"
#
#ifeq (x86_64,$(ARCH))
MAKEFILE="../make/Makefile.linux64"
#endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND +=-flto -O3 -DSIMDE_ENABLE_OPENMP -fopenmp-simd
export DEB_LDFLAGS_MAINT_APPEND +=-flto

%:
	dh $@ --sourcedirectory src

override_dh_auto_build:
	dh_auto_build --sourcedirectory make --builddirectory src --buildsystem makefile -- -f $(MAKEFILE)
	# convoluted, but necessary to allow cross builds

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd test ; ./test2G.sh && ./test.sh && ../bin/fasta36 -q ../seq/mgstm1.aa ../seq/prot_test.lseg
endif

override_dh_auto_clean:
	if [ -d src ]; then cd src && $(MAKE) -f $(MAKEFILE) clean-up; fi

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/tests/control ===
Tests: run-unit-test
Depends: fasta3, libdbi-perl, libwww-perl, libxml-twig-perl, libdbd-mysql-perl, libjson-perl, python3-mysqldb
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="uversionmangle=s/_/./;s/-Feb-/-02-/;s/(\d\d)-(\d\d)-(\d{4})/$3-$2-$1/" \
  https://github.com/wrpearson/fasta36/releases .*/archive/(?:fasta-v|v)?(\d[\-+\.:\~\da-zA-Z_]+)@ARCHIVE_EXT@

## fasta3 36.3.8i.14-Nov

=== make/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Dec 8, 2005 - with gcc4.0.2 (or .1) under Redhat Linux Fedora FC4 -03 breaks the alignment code
 #
 
-CC= gcc -g -O2
+CC ?= gcc -g -O2
 
 #CC=gcc -Wall -pedantic -ansi -g -O
 #CC = gcc -g -DDEBUG
@@ -17,7 +17,7 @@
 # this file works for x86 LINUX
 
 # standard options
-CFLAGS= -DSHOWSIM -DUNIX -DTIMES -DHZ=100 -DSFCHAR="':'" -DMAX_WORKERS=2 -DTHR_EXIT=pthread_exit -DPROGRESS  -DUSE_MMAP -D_REENTRANT -DHAS_INTTYPES -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_FSEEKO -DSAMP_STATS -DPGM_DOC
+CFLAGS += -DSHOWSIM -DUNIX -DTIMES -DHZ=100 -DSFCHAR="':'" -DMAX_WORKERS=2 -DTHR_EXIT=pthread_exit -DPROGRESS  -DUSE_MMAP -D_REENTRANT -DHAS_INTTYPES -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_FSEEKO -DSAMP_STATS -DPGM_DOC
 # -I/usr/local/include/mysql -DMYSQL_DB 
 #
 #(for mySQL databases)  (also requires change to Makefile34.common)
@@ -26,14 +26,14 @@
 #LIB_M = -L/usr/local/lib/mysql -lmysqlclient -lm
 # for mySQL databases
 
-HFLAGS= -o
-NFLAGS= -o
+HFLAGS=
 
 # for Linux
 THR_SUBS = pthr_subs2
 THR_LIBS = -lpthread
 THR_CC =
 
+BIN = ../bin
 XDIR = /seqprg/bin
 
 DROPGSW_NA_O = dropgsw2.o wm_align.o calcons_sw.o

## fasta3 36.3.8i.14-Nov-2020

=== debian/changelog ===
fasta3 (36.3.8i.14-Nov-2020-4) unstable; urgency=medium

  * Team upload.
  * Fix build with gcc-15
    Closes: #1096607
  * Standards-Version: 4.7.2 (routine-update)
  * d/copyright: Mention files in src/simde

 -- Andreas Tille <tille@debian.org>  Wed, 24 Sep 2025 08:34:41 +0200

fasta3 (36.3.8i.14-Nov-2020-3) unstable; urgency=medium

  * Team upload.
  * d/tests/control: the tests don't need python3-mysql.connector (which is
    not available in Debian Testing)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 28 Oct 2024 10:34:11 +0100

fasta3 (36.3.8i.14-Nov-2020-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Force use of packaged SIMDe library
  * Mark Debian-specific patches as not needing forwarding. Update my
    email address
  * Adjusted patch so that the autopkgtests run. Added bedtools as a
    test dependency.

  [ Andreas Tille ]
  * Cleanup after testing
    Closes: #1044536
  * Add python3-mysql.connector, python3-requests to Suggests and Test-Depends

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 25 Oct 2024 16:36:05 +0200

fasta3 (36.3.8i.14-Nov-2020-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Recommends: r-base-core

 -- Andreas Tille <tille@debian.org>  Sun, 25 Dec 2022 19:00:56 +0100

fasta3 (36.3.8h.2020-02-11-5) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 13:45:04 +0100

fasta3 (36.3.8h.2020-02-11-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Install scripts, matrics, and misc scripts in
     /usr/share/fasta3/{scripts,data,misc}
  * Install all the example SQL scripts and data

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Depends: python3

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 09:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libsimde-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/fasta3
 Vcs-Git: https://salsa.debian.org/med-team/fasta3.git
 Homepage: https://fasta.bioch.virginia.edu
@@ -14,7 +14,9 @@
 Package: fasta3
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3
+Recommends: r-base-core
 Suggests: ${perl:Depends},
           libdbi-perl,
           libwww-perl,
@@ -24,6 +26,8 @@
           liburi-encode-perl,
           libdbd-mysql-perl,
           python3-mysqldb,
+          python3-mysql.connector,
+          python3-requests,
           ncbi-blast+,
           bedtools
 Description: tools for searching collections of biological sequences
@@ -75,8 +79,6 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Breaks: fasta3 (<< 36.3.8h)
-Replaces: fasta3 (<< 36.3.8h)
 Description: user guide for FASTA tools
  The FASTA programs find regions of local or global similarity between
  Protein or DNA sequences, either by searching Protein or DNA databases,

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 %:
 	dh $@ --sourcedirectory src
 
+execute_before_dh_auto_configure:
+	rm -Rf src/simde
+
 override_dh_auto_build:
 	dh_auto_build --sourcedirectory make --builddirectory src --buildsystem makefile -- -f $(MAKEFILE)
 	# convoluted, but necessary to allow cross builds
@@ -26,6 +29,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd test ; ./test2G.sh && ./test.sh && ../bin/fasta36 -q ../seq/mgstm1.aa ../seq/prot_test.lseg
+	rm -rf test/results/test*
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: run-unit-test
Depends: fasta3, libdbi-perl, libwww-perl, libxml-twig-perl, libdbd-mysql-perl, libjson-perl, python3-mysqldb, python3-requests, bedtools
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="uversionmangle=s/_/./;s/-Feb-/-02-/;s/(\d\d)-(\d\d)-(\d{4})/$3-$2-$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/wrpearson/fasta36/tags .*/(?:fasta-v|v)?(\d[\-+\.:\~\da-zA-Z_]+)@ARCHIVE_EXT@
